Title

This field is required.

Description

This field is required.

Template expand collapse
Container

Container template

Swarm stack

Stack template (Swarm)

Compose stack

Stack template (Compose)

Name
Logo URL
Note
Platform
Categories
{{ $item }} {{ category }}
Administrator template
Stack expand collapse
Repository URL

This field is required.

Compose file path
Container expand collapse
Command
Hostname
Network
Port mapping map additional port
Portainer will automatically assign a port if you leave the host port empty.
host
container
TCP UDP
Volume mapping map additional volume
Portainer will automatically create and map a local volume when using the auto option.
container
Auto Bind
host
Writable Read-only
Labels add label
name
value
Restart policy
Privileged mode
Interactive mode
Environment expand collapse
Environment variables add variable
Preset

Preset variable

Text

Free text value

Select

Choose value from list

Name
Label
Description
Default value
Values add allowed value
name
value
Default
Actions